# $Revision: 1.11 $, $Date: 2004/08/19 19:00:29 $
Summary:	WMfmixer is a simple mixer application for WindowMaker
Summary(pl):	Prosty program do obsugi dwiku w WindowMakerze
Name:		wmfmixer
Version:	0.1
Release:	4
License:	GPL
Vendor:		Dimitry Fink <finik@sporu.net>
Group:		X11/Applications/Sound
Source0:	http://www.finik.net/files/%{name}-%{version}.tar.gz
# Source0-md5:	620712536263d60782b50f16e1aec910
Source1:	%{name}.desktop
Patch0:		%{name}-Makefile.pach
Patch1:		%{name}-main.patch
URL:		http://www.finik.net/software.html
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
WMfmixer is a simple dockable program for controlling /dev/mixer
device. It's simplicity is no doubt his good point.

%description -l pl
WMfmixer jest prostym dokowalnym programem do kontroli nad urzdzeniem
/dev/mixer. Niewtpliw zalet tej aplikacji jest jej prostota.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}" \
	LIBDIR="-L/usr/X11R6/%{_lib}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_pixmapsdir},%{_desktopdir}/docklets}

install wmfmixer $RPM_BUILD_ROOT%{_bindir}/wmfmixer
install wmfmixer.xpm $RPM_BUILD_ROOT%{_pixmapsdir}/wmfmixer.xpm
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}/docklets

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc HINTS
%attr(755,root,root) %{_bindir}/wmfmixer
%{_desktopdir}/docklets/wmfmixer.desktop
%{_pixmapsdir}/wmfmixer.xpm

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: wmfmixer.spec,v $
Revision 1.11  2004/08/19 19:00:29  yogib
- fix building on amd64

Revision 1.10  2004/07/18 11:09:24  yogib
- switched to vfolders

Revision 1.9  2004/03/16 06:43:56  adamg
- release 2 for Ac

Revision 1.8  2003/09/18 12:26:42  havner
- mass commit: some fixes due to prefix change

Revision 1.7  2003/09/09 10:24:58  ankry
- spaces -> tab

Revision 1.6  2003/05/28 13:02:53  malekith
- massive attack: source-md5

Revision 1.5  2003/05/25 06:27:57  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2003/01/18 22:57:41  juandon
- removed two lines with define

Revision 1.3  2002/12/28 01:38:10  qboosh
- use new Group: X11/Applications/Sound

Revision 1.2  2002/09/27 13:31:29  kloczek
- finished.

Revision 1.1  2002/09/27 03:52:56  krolik
- initial
